KFileSharePropsPlugin Class Reference

`#include <kfilesharedlg.h>`

Inheritance diagram for KFileSharePropsPlugin:

## Public Member Functions

| KFileSharePropsPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()
QWidget * | page () const
Public Member Functions inherited from KPropsDlgPlugin
| KPropsDlgPlugin (KPropertiesDialog *_props)
void | setDirty (bool b)
bool | isDirty () const

## Static Public Member Functions

static bool | supports (const KFileItemList &items)
Static Public Member Functions inherited from KPropsDlgPlugin
static bool | isDesktopFile (KFileItem *_item)

## Protected Slots

void | slotConfigureFileSharing ()
void | slotConfigureFileSharingDone ()

## Additional Inherited Members

Public Slots inherited from KPropsDlgPlugin
void | setDirty ()
Signals inherited from KPropsDlgPlugin
void | changed ()
Protected Member Functions inherited from KPropsDlgPlugin
virtual void | virtual_hook (int id, void *data)
Protected Attributes inherited from KPropsDlgPlugin
KPropertiesDialog * | properties
int | fontHeight

## Detailed Description

This plugin provides a page to KPropsDlg, showing the "file sharing" options.

Author
  David Faure david.nosp@m.@man.nosp@m.drake.nosp@m.soft.nosp@m..com

Since
  3.1

Definition at line 33 of file kfilesharedlg.h.

## Member Function Documentation

void KFileSharePropsPlugin::applyChanges | ( |  | ) |

virtual

Apply all changes to the file.

This function is called when the user presses 'Ok'. The last plugin inserted is called first.

Reimplemented from KPropsDlgPlugin.

Definition at line 228 of file kfilesharedlg.cpp.

The documentation for this class was generated from the following files:

- kfilesharedlg.h
- kfilesharedlg.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys